### A free/open-source library for quantitative finance

MultiProductComposite Class Reference

Composition of one or more market-model products. More...

`#include <ql/models/marketmodels/products/multiproductcomposite.hpp>`

Inheritance diagram for MultiProductComposite:
[legend]

List of all members.

## Public Member Functions

MarketModelMultiProduct interface
Size | numberOfProducts () const
Size | maxNumberOfCashFlowsPerProductPerStep () const
bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< CashFlow > > &cashFlowsGenerated)
| return value indicates whether path is finished, TRUE means done
std::auto_ptr < MarketModelMultiProduct > | clone () const
| returns a newly-allocated copy of itself

## Detailed Description

Composition of one or more market-model products.

Instances of this class build a multiple market-model product by composing two or more subproducts.

Precondition:
  All subproducts must have the same rate times.